Browse Source

Some updates I guess

master
mid-kid 8 years ago
parent
commit
ac4391c6ff
  1. 2
      binutils-ROCKET.TXT
  2. 1
      convert32-supported
  3. 48
      convert32pkg.sh
  4. 2
      glib2-ROCKET.TXT
  5. 2
      gtk+2-ROCKET.TXT
  6. 3
      kernel.SlackBuild
  7. 20
      massconvert32.sh
  8. 15
      readme.txt
  9. 3
      update-repo.sh

2
binutils-ROCKET.TXT

@ -1,2 +0,0 @@
Modifications:
- Apply a fix for https://sourceware.org/bugzilla/show_bug.cgi?id=19775.

1
convert32-supported

@ -14,6 +14,7 @@ mpg123
# d
libtool
llvm
# l
alsa-lib

48
convert32pkg.sh

@ -24,7 +24,7 @@ pkgbuild="$(echo "$pkgbase" | sed -e 's?.*-[^-]*-[^-]*-\([^-]*\)$?\1?')"
case "$pkgarch" in
i?86) pkgarch=x86_64 ;;
*)
echo "Unknown package architecture '$pkgarch'. Can't proceed." 1>&2
echo "Unsupported package architecture '$pkgarch'. Can't proceed." 1>&2
exit 1
;;
esac
@ -49,8 +49,9 @@ explodepkg "$pkg32"
if [ "$pkg64" ]; then
echo
echo "Removing files:"
$tool -cd "$pkg64" | tar-1.13 t | grep -v "^install/" | while read -r file; do
rm -vf "./$file" 2> /dev/null || true
$tool -cd "$pkg64" | tar-1.13 t | grep -v '^install/' | while read -r file; do
echo "./$file"
rm -f "./$file" 2> /dev/null || true
done
else
if [ ! -f "$pkginfo" ]; then
@ -59,23 +60,24 @@ else
fi
# See /sbin/removepkg
if fgrep "./" "$pkginfo" 1> /dev/null 2>&1; then
TRIGGER="^\.\/"
if fgrep './' "$pkginfo" 1> /dev/null 2>&1; then
TRIGGER='^\.\/'
else
TRIGGER="FILE LIST:"
TRIGGER='FILE LIST:'
fi
echo
echo "Removing files:"
sed -n "/$TRIGGER/,/^$/p" "$pkginfo" | fgrep -v "FILE LIST:" | grep -v "^install/" | while read -r file; do
rm -vf "./$file" 2> /dev/null || true
echo 'Removing files:'
sed -n "/$TRIGGER/,/^$/p" "$pkginfo" | fgrep -v 'FILE LIST:' | grep -v '^install/' | while read -r file; do
echo "./$file"
rm -f "./$file" 2> /dev/null || true
done
fi
# Clean empty directories
echo
echo "Empty directories:"
find . -mindepth 1 -type d -empty -print -delete
echo 'Empty directories:'
find . -type d -empty -print -delete
# Remove all symlinks present in the 64bit package
if [ -f install/doinst.sh ]; then
@ -107,16 +109,24 @@ if [ -f install/doinst.sh ]; then
fi
# Extract all lines treating with symlinks. See /sbin/removepkg
sed -n -e 's,^[ ]*( [ ]*cd[ ]* .* [ ]*; [ ]*\(rm\|ln\) [ ]*-\(rf\|sf\)[ ]* .* [ ]*)[ ]*$,&,p' -e 's,^[ ]*config .*[ ]*,&,p' install/doinst.64 > install/doinst
sed -n -e 's,^[ ]*( [ ]*cd[ ]* .* [ ]*; [ ]*\(rm\|ln\) [ ]*-\(rf\|sf\)[ ]* .* [ ]*)[ ]*$,&,p' -e 's,^[ ]*config .*[ ]*$,&,p' install/doinst.64 > install/doinst
rm install/doinst.64
echo
echo "Removed lines in doinst.sh:"
fgrep -xf install/doinst install/doinst.sh || true
echo 'Removed lines in doinst.sh:'
if [ -s install/doinst ]; then
fgrep -xf install/doinst install/doinst.sh || true
# Remove all symlinks present in the 64bit package
fgrep -vxf install/doinst install/doinst.sh > install/doinst.sh.new || true
mv install/doinst.sh.new install/doinst.sh
# Remove all symlinks present in the 64bit package
fgrep -vxf install/doinst install/doinst.sh > install/doinst.sh.new || true
mv install/doinst.sh.new install/doinst.sh
rm -f install/doinst install/doinst.64
# If the resulting doinst.sh is empty, remove it.
if [ ! -s install/doinst.sh ]; then
rm install/doinst.sh
fi
fi
rm install/doinst
fi
# Rename package in slack-desc
@ -126,7 +136,7 @@ fi
if ! find . | grep -v '^.$\|^./install' > /dev/null; then
echo
echo "Package is empty. Not running makepkg." 1>&2
echo 'Package is empty. Not running makepkg.' 1>&2
exit 0
fi

2
glib2-ROCKET.TXT

@ -1,2 +0,0 @@
Modifications:
- Applied glib-thumbnailer.patch which is required by the patched gtk+2. Requires tumbler.

2
gtk+2-ROCKET.TXT

@ -1,2 +0,0 @@
Modifications:
- Applied gtk2-filechooser-icon-view.patch which adds support for an icon view.

3
kernel.SlackBuild

@ -1,4 +1,5 @@
#!/bin/sh -e
#!/bin/sh
set -e
PKGNAM=${PKGNAM:-linux}
BASEVER=${BASEVER:-4.4.29}

20
massconvert32.sh

@ -1,4 +1,5 @@
#!/bin/sh -e
#!/bin/sh
set -e
# DISCLAIMER
# Don't ever think of installing every single package generated with this script.
@ -22,7 +23,6 @@ find "$slackware" -type f -name "*.t?z" -printf '%P\n' | sort | while read -r pk
pkgname="$(echo "$pkgbase" | sed -e 's?-[^-]*-[^-]*-[^-]*$??')"
pkgver="$(echo "$pkgbase" | sed -e 's?.*-\([^-]*\)-[^-]*-[^-]*$?\1?')"
pkgarch="$(echo "$pkgbase" | sed -e 's?.*-[^-]*-\([^-]*\)-[^-]*$?\1?')"
pkgbuild="$(echo "$pkgbase" | sed -e 's?.*-[^-]*-[^-]*-\([^-]*\)$?\1?')"
if [ "$whitelist" ]; then
if ! grep -v '^#' "$whitelist" | fgrep -xq "$pkgname"; then
@ -32,17 +32,23 @@ find "$slackware" -type f -name "*.t?z" -printf '%P\n' | sort | while read -r pk
case "$pkgarch" in
i?86) pkgarch=x86_64 ;;
*) continue ;;
# Architecture-independent stuff
noarch|fw) continue ;;
# Only kernel-headers uses x86 as pkgarch. That doesn't need conversion.
x86) continue ;;
*)
echo "WARNING: Package '$pkg' has an unsupported architecture: '$pkgarch'"
exit
;;
esac
pkg64="$(dirname "$pkg")/$pkgname-$pkgver-$pkgarch-$pkgbuild.$pkgext"
if [ ! -f "$slackware64/$pkg64" ]; then
if [ ! -f "$slackware64/$(dirname "$pkg")/$pkgname-$pkgver-$pkgarch-"*".$pkgext" ]; then
echo "WARNING: Package '$pkg' doesn't exist in slackware64, or there were multiple with different build versions."
continue
fi
rpkg="$(realpath "$slackware/$pkg")"
rpkg64="$(realpath "$slackware64/$pkg64")"
rpkg64="$(realpath "$slackware64/$(dirname "$pkg")/$pkgname-$pkgver-$pkgarch-"*".$pkgext")"
mkdir -p "$(dirname "$pkg")"

15
readme.txt

@ -1,8 +1,15 @@
This repo contains all my slackware modifications of the base install.
Additional packages are contained in RocketLinux and built in a non-standard manner.
This branch contains a few scripts I use to manage things.
This branch contains general bookkeeping information about the entire repo.
Right now, it's populated by .TXT files, containing ideas I will later implement.
There's also a kernel.SlackBuild, which I could use to build a new, nearly-identical slackware kernel.
- kernel.SlackBuild is capable of building a near-identical slackware kernel
- convert32pkg.sh converts a 32bit package to be installable on 64bit (by
removing everything present in the 64bit package).
It is only designed to support some packages in the official slackware iso,
because there's all kinds of packages that need special treatment,
especially for their doinst.sh scripts.
- massconvert32.sh calls convert32pkg.sh over an entire package directory
- update-repo.sh is my shitty implementation of a slackware repo generator,
that tries to generate everything as close to the official slackware repo as
possible.

3
update-repo.sh

@ -1,4 +1,5 @@
#!/bin/sh -e
#!/bin/sh
set -e
gpgkey=''
timestamp="$(LC_ALL=C date -u)"

Loading…
Cancel
Save